version: '3'

services:
    v2ray:
        image: v2ray/official
        container_name: v2ray
        restart: always
        command: v2ray -config=/etc/v2ray/config.json
        volumes:
            - /etc/v2ray:/etc/v2ray
        environment:
            - VIRTUAL_PATH=/awesome
            - VIRTUAL_PORT=23333
            - VIRTUAL_HOST=great.nosepick.xyz
            - LETSENCRYPT_HOST=great.nosepick.xyz

    # warp:
    #     image: caomingjun/warp
    #     container_name: warp
    #     restart: always
    #     environment:
    #         - WARP_SLEEP=2
    #         # - WARP_LICENSE_KEY= # optional

    #         # nginx-proxy 配置
    #         - VIRTUAL_PORT=1080
    #         - VIRTUAL_HOST=warp.nosepick.xyz
    #         - LETSENCRYPT_HOST=warp.nosepick.xyz
    #     cap_add:
    #         - NET_ADMIN
    #     sysctls:
    #         - net.ipv6.conf.all.disable_ipv6=0
    #         - net.ipv4.conf.all.src_valid_mark=1
    #     volumes:
    #     - ./data:/var/lib/cloudflare-warp

networks:
    default:
        external:
            name: nginx-proxy
